log

This is an attempt to modify the default golang 'log'.
Because the 'gui' toolkit could be either ncurses or something like gtk,
'log' is an attempt to be smart about changing STDOUT on the fly.

* add meaningful shortcuts like log.Info(), log.Warn(), log.Error() etc
* add flags to enable & disable output on a per-gomodule basis
* add http flag to switch stdout to http socket
* compatible with changing import 'log' to import 'go.wit.com/log'
* should also be compatible with changing import 'fmt' to import fmt 'go.wit.com/log'

Notes & Goals:

* be a complete droplet replacement for golang 'log'
* provide an example of how the stdlib 'log' could be changed
